Bug 1674806 - diet: FTBFS in Fedora rawhide/f30
Summary: diet: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: diet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:04 UTC by Fedora Release Engineering
Modified: 2019-07-31 13:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 13:31:22 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details
state.log (605 bytes, text/plain)
2019-02-11 17:04 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:04:11 UTC
diet failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32376379


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix diet at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
diet will be orphaned. Before branching of Fedora 31,
diet will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:04:13 UTC
Created attachment 1529702 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:04:15 UTC
Created attachment 1529703 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:04:16 UTC
Created attachment 1529704 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:25:42 UTC
BUILDSTDERR: /builddir/build/BUILD/diet-2.10/src/utils/DIET_uuid.cc: In function 'boost::uuids::uuid diet_generate_uuid()':
BUILDSTDERR: /builddir/build/BUILD/diet-2.10/src/utils/DIET_uuid.cc:7:85: error: no matching function for call to 'boost::uuids::random_generator_pure::random_generator_pure(boost::random::mt19937&)'
BUILDSTDERR:     7 |   static boost::uuids::random_generator uuid_rg = boost::uuids::random_generator(ran);
BUILDSTDERR:       |                                                                                     ^
BUILDSTDERR: In file included from /usr/include/boost/uuid/uuid_generators.hpp:17,
BUILDSTDERR:                  from /builddir/build/BUILD/diet-2.10/src/utils/DIET_uuid.hh:7,
BUILDSTDERR:                  from /builddir/build/BUILD/diet-2.10/src/utils/DIET_uuid.cc:1:
BUILDSTDERR: /usr/include/boost/uuid/random_generator.hpp:195:5: note: candidate: 'boost::uuids::random_generator_pure::random_generator_pure(boost::uuids::random_generator_pure&&)'
BUILDSTDERR:   195 |     random_generator_pure(BOOST_RV_REF(random_generator_pure) that) BOOST_NOEXCEPT :
BUILDSTDERR:       |     ^~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: /usr/include/boost/uuid/random_generator.hpp:195:63: note:   no known conversion for argument 1 from 'boost::random::mt19937' {aka 'boost::random::mersenne_twister_engine<unsigned int, 32, 624, 397, 31, 2567483615, 11, 4294967295, 7, 2636928640, 15, 4022730752, 18, 1812433253>'} to 'boost::uuids::random_generator_pure&&'
BUILDSTDERR:   195 |     random_generator_pure(BOOST_RV_REF(random_generator_pure) that) BOOST_NOEXCEPT :
BUILDSTDERR:       |                                                               ^
BUILDSTDERR: In file included from /usr/include/boost/config.hpp:61,
BUILDSTDERR:                  from /usr/include/boost/thread/detail/platform.hpp:14,
BUILDSTDERR:                  from /usr/include/boost/thread/mutex.hpp:12,
BUILDSTDERR:                  from /builddir/build/BUILD/diet-2.10/src/utils/DIET_uuid.hh:4,
BUILDSTDERR:                  from /builddir/build/BUILD/diet-2.10/src/utils/DIET_uuid.cc:1:
BUILDSTDERR: /usr/include/boost/uuid/random_generator.hpp:193:5: note: candidate: 'constexpr boost::uuids::random_generator_pure::random_generator_pure()'
BUILDSTDERR:   193 |     BOOST_DEFAULTED_FUNCTION(random_generator_pure(), {})
BUILDSTDERR:       |     ^~~~~~~~~~~~~~~~~~~~~~~~
BUILDSTDERR: /usr/include/boost/uuid/random_generator.hpp:193:5: note:   candidate expects 0 arguments, 1 provided

Comment 5 Fedora Release Engineering 2019-04-26 23:26:35 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Fedora Release Engineering 2019-06-03 21:42:00 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Fedora Release Engineering 2019-06-17 20:47:52 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Fedora Release Engineering 2019-07-02 11:13:36 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 9 Fedora Release Engineering 2019-07-02 13:30:01 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 10 Fedora Release Engineering 2019-07-24 13:30:49 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 11 Haïkel Guémar 2019-07-31 13:31:22 UTC
Retired, I have no more time to keep it alive


Note You need to log in before you can comment on or make changes to this bug.